 
function [results] = MVN_Classifier(file,num_out,num_sect,p_train_data,numN,local_tr,ranran,Giunto,app)

% file = file of samples
% num_out = Num. of out neurons
%  = perc. of training data
% numN = neurons number;
% local_tr = soglia locale per soft margin
% ranran = random range for neurons weights
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

DataF = load(file);

% nur = number of samples
[nur,nuc] = size(DataF);

% DataR=zeros(nur,nuc-1);
% for i=1:nuc-4
%     DataR(:,i)=DataF(:,i);
% end
% for i=(nuc-3):(nuc-1)
%    DataR(:,i)=DataF(:,i+1); 
% end

% random order

 %Data = DataR(randperm(nur),:);
Data = DataF(randperm(nur),:);

%  nuc=nuc-1;

% ning = number of complex inputs
ning = (nuc - num_out)/2;

%--------------------------------------------------------------------------
ning_c=floor(ning);
if ning_c < ning
    ning=ning_c+1;
end
%--------------------------------------------------------------------------

datamax=max(Data);

DataC = zeros(nur,ning+2);

for k = 1:ning
    %creation of complex numbers
    %DataC(:,k) = Data(:,2*k-1).*exp(1i * Data(:,2*k));
    
    %normalizzazione moduli
    DataC(:,k) = (Data(:,2*k-1)/abs(datamax(2*k-1))).*exp(1i * Data(:,2*k));
    
    %normalizzazione moduli e fasi
    %DataC(:,k) = (Data(:,2*k-1)/abs(datamax(2*k-1))).*exp(1i * (Data(:,2*k)/abs(datamax(2*k))));
end

%copying desired output values
%copying desired output values
for i=1:nur
    if Giunto==0
        for k=1:num_out
            val = Data(i,nuc-num_out+k);
            if val==2
                DataC(i,ning+k*2-1) = 1;
            elseif val==3
                DataC(i,ning+k*2-1) = 1;
                DataC(i,ning+k*2) = 1;
            end
        end
    else
        val = Data(i,nuc-num_out+Giunto);
        if val==2
            DataC(i,ning+1) = 1;
        elseif val==3
            DataC(i,ning+1) = 1;
            DataC(i,ning+2) = 1;
        end
    end
end

%Creation of the learning set
LearningData = DataC(1:(round(nur * p_train_data)),:);
%Creation of the testing set
TestingData = DataC(1 + round(nur * p_train_data):nur,:);

% Learning

if Giunto==0
    nout=num_out*2;
else
    nout=2;
end

for i = 1:nout
  sec_nums(i) = num_sect;
end

[max_class_rate, OutputL, OutputV] = Net_learn(LearningData, TestingData, numN, nout, sec_nums, 0.05, local_tr, 30, ranran, app);

results(1) = numN;
results(2) = max_class_rate.ver;
results(3) = OutputL.ClassifRate;
% OutClassL = OutputL;
% OutClassV = OutputV;

